Ryzom - Feature # 928

Status: Closed Priority: High

Author: ThibG Category: OS: GNU/Linux
Created: 05/23/2010 Assignee: kervala
Updated: 07/28/2010 Due date:

Subiject: XRandR modesetting

Description

Hi, we currently use XF86VidMode for X modesetting.

However, it's old (and in our current implementation, broken on 64b), and obsoleted by the XRandR extension.

So, we should drop XF86VidMode and use XRandR instead.

For the record, Id Software did that with its game "Enemy Territory: Quake Wars" on GNU/Linux a few years ago, so, it shouldn't be a
problem with any decent video driver, now.

History

#1 - 05/28/2010 04:39 pm - vI

| think xranrd could be nice indeed. If you have a patch, we'll take it :)
#2 - 07/12/2010 09:06 am - kervala

- Status changed from New to Assigned

- Assignee set to kervala

- Priority changed from Normal to High

#3 - 07/12/2010 05:26 pm - kervala
- Estimated time set to 3.00

#4 - 07/12/2010 09:54 pm - kervala

- Status changed from Assigned to Resolved
- % Done changed from 0 to 100

Applied in changeset r473.

#5 - 07/12/2010 09:54 pm - kervala
- Target version set to Version 0.8.0

#6 - 07/12/2010 11:10 pm - kervala

Applied in changeset r474.

#7 - 07/12/2010 11:10 pm - kervala

NVidia proprietary driver is using refresh rate as unique ID to identify resolutions (XF86VidMode was detecting correct refresh rates).

That's why XRandR returns 50 Hz instead of 60 Hz.
So | decided to use XRRSetScreenConfig (XRandR 1.0) instead of XRRSetScreenConfigAndRate (XRandR 1.1)

#8 - 07/18/2010 10:13 am - kervala
- Status changed from Resolved to Closed

#9 - 07/28/2010 10:09 am - kervala
- Category changed from NeL: General to OS: GNU/Linux
